# $Revision: 1.100.4.3 $, $Date: 2012/05/24 15:28:36 $
#
# Conditional build:
%bcond_without	selinux		# build without SE-Linux support
%bcond_with	shared		# build with shared libshadow
#
Summary:	Shadow password file utilities for Linux
Summary(de):	Shadow-Pawortdatei-Dienstprogramme fr Linux
Summary(es):	Utilitarios para el archivo de contraseas Shadow
Summary(fr):	Fichiers utilitaires pour Shadow password pour Linux
Summary(pl):	Narzdzia do obsugi mechanizmu ukrytych hase
Summary(tr):	Glge parola dosyas aralar
Summary(pt_BR):	Utilitrios para o arquivo de senhas Shadow
Name:		shadow
Version:	4.0.4.1
Release:	6
Epoch:		1
License:	BSD
Group:		Applications/System
Source0:	ftp://ftp.pld.org.pl/software/shadow/%{name}-%{version}.tar.bz2
# Source0-md5:	3a3d17d3d7c630b602baf66ae7434c61
Source1:	%{name}-login.defs
Source2:	%{name}.useradd
Source3:	chage.pamd
Source4:	userdb.pamd
Source5:	chsh.pamd
Source6:	chfn.pamd
Source7:	passwd.pamd
Source8:	useradd.pamd
Patch0:		%{name}-utmpx.patch
Patch1:		%{name}-man_and_po.patch
Patch2:		%{name}-pl.po-update.patch
Patch3:		%{name}-userdel-exit-bug.patch
Patch4:		%{name}-useradd-p.patch
Patch5:		%{name}-pld.patch
Patch6:		%{name}-chage_expdays.patch
Patch7:		%{name}-selinux.patch
Patch8:		%{name}-setlocale_hack.patch
BuildRequires:	autoconf
BuildRequires:	automake >= 1.0
BuildRequires:	gettext-devel >= 0.12.1
BuildRequires:	pam-devel
BuildRequires:	libtool
%{?with_selinux:BuildRequires:	libselinux-devel}
Requires:	pam >= 0.77.3
# to force proper coreutils version, so "groups" command exists
Requires:	/usr/bin/groups
Provides:	passwd
Provides:	shadow-utils
Obsoletes:	passwd
Obsoletes:	shadow-utils
Conflicts:	SysVinit < 2.86-10
Conflicts:	pwdutils
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package includes the programs necessary to convert standard UNIX
password files to the shadow password format, as well as programs for
command-line management of the user's accounts.
 - pwconv - converts everything to the shadow password format,
 - pwunconv - unconverts from shadow password, generating a file in the
   current directory called npasswd that is a standard UNIX password
   file,
 - pwck - checks the integrity of the password and shadow files,
 - useradd, userdel, usermod - for accounts management,
 - groupadd, groupdel, groupmod - for group management.

A number of man pages are also included that relate to these
utilities, and shadow passwords in general.

%description -l es
Este paquete incluye los programas necesarios para convertir Archivos
padrn UNIX de contrasea al formato shadow.
 - pwconv5 - convierte todo al formato de contraseas del shadow,
 - pwunconv - deshace la conversin de contraseas shadow, creando un
   archivo en el directorio corriente llamado npasswd que es el archivo
   padrn UNIX de contrasea,
 - pwck - chequea la integridad de la contrasea y de los archivos
   shadow,

Estn tambin incluidas, en general, varias pginas de manual sobre estos
utilitarios y contraseas shadow.

%description -l pl
Pakiet zawiera programy do obsugi mechanizmu ukrytych hase (shadow
password). Znajduj si w nim programy do konwersji standardowego
pliku hase do wersji shadow password a take programy do zarzdzania
kontami uytkownikw w systemie:
 - pwconv - konwertuje do formatu shadow password
 - pwunconv - konwertuje z shadow password do formatu standardowego
   pliku hase. W biecym katalogu tworzy plik npasswd bdcy
   standardowym plikiem z hasami,
 - useradd, userdel, usermod - do zarzdzania kontami uytkownikw,
 - groupadd, groupdel, groupmod - do zarzdzania grupami.

Ostrzeenie:

Programy znajdujce si w tym pakiecie s niezbdne do prawidowej
pracy systemu i podobnie jak pakiet z bibliotekami systemowymi (glibc)
nigdy nie powinien zosta odinstalowany!

%description -l pt_BR
Este pacote inclui os programas necessrios para converter
arquivos-padro UNIX de senha para o formato shadow.
 - pwconv - converte tudo para o formato de senhas do shadow,
 - pwunconv - desconverte senhas shadow, gerando um arquivo no
   diretrio corrente chamado npasswd que  o arquivo-padro UNIX de
   senha,
 - pwck - checa a integridade da senha e dos arquivos shadow,

Vrias pginas de manual esto tambm includas sobre estes
utilitrios e senhas shadow em geral.

%package extras
Summary:	shadow - not often used programs
Summary(pl):	shadow - programy nieczsto uywane
Group:		Applications/System
Requires:	%{name} = %{epoch}:%{version}-%{release}
Obsoletes:	pwdutils
Conflicts:	util-linux < 2.12-10

%description extras
Programs for shadow not often used. If you have small system you may
skip them.

%description extras -l pl
Programy nieczsto uywane. W maych systemach mona je pomin.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%{?with_selinux:%patch7 -p1}
%patch8 -p1

%build
%{__autoheader}
%{__gettextize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--disable-desrpc \
	%{?with_shared:--enable-shared --disable-static} \
	--without-libcrack \
	--with-libcrypt \
	--with-libpam \
	--with-md5crypt \
	--with-nls \
	%{?with_selinux:--with-selinux} \
	--without-included-gettext
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}/{default,pam.d,security,skel/tmp}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/login.defs
install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/default/useradd
install %{SOURCE3} $RPM_BUILD_ROOT/etc/pam.d/chage
install %{SOURCE4} $RPM_BUILD_ROOT/etc/pam.d/shadow
install %{SOURCE5} $RPM_BUILD_ROOT/etc/pam.d/chsh
install %{SOURCE6} $RPM_BUILD_ROOT/etc/pam.d/chfn
install %{SOURCE7} $RPM_BUILD_ROOT/etc/pam.d/passwd
install %{SOURCE8} $RPM_BUILD_ROOT/etc/pam.d/useradd

> $RPM_BUILD_ROOT%{_sysconfdir}/shadow
> $RPM_BUILD_ROOT/etc/security/chfn.allow
> $RPM_BUILD_ROOT/etc/security/chsh.allow

# vigr symlink is created by make install, but in wrong dir
ln -sf vipw $RPM_BUILD_ROOT%{_sbindir}/vigr

echo '.so newgrp.1' > $RPM_BUILD_ROOT%{_mandir}/fr/man1/sg.1
echo '.so newgrp.1' > $RPM_BUILD_ROOT%{_mandir}/it/man1/sg.1
echo '.so newgrp.1' > $RPM_BUILD_ROOT%{_mandir}/ko/man1/sg.1

# lastlog now in SysVinit
rm -f $RPM_BUILD_ROOT{%{_mandir}/{,pl,ja,it}/man8/lastlog.8,%{_bindir}/lastlog}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{?with_shared:/sbin/ldconfig}
if [ ! -f /etc/shadow ]; then
	%{_sbindir}/pwconv
fi

%{?with_shared:%postun -p /sbin/ldconfig}

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc ChangeLog NEWS TODO doc/{HOWTO,README,README.linux,README.pam,WISHLIST}
%attr(750,root,root) %dir %{_sysconfdir}/default
%attr(640,root,root) %config %verify(not md5 size mtime) %{_sysconfdir}/default/*
%attr(640,root,root) %config(noreplace) %verify(not md5 size mtime) /etc/pam.d/chage
%attr(640,root,root) %config(noreplace) %verify(not md5 size mtime) /etc/pam.d/passwd
%attr(640,root,root) %config(noreplace) %verify(not md5 size mtime) /etc/pam.d/shadow
%attr(640,root,root) %config(noreplace) %verify(not md5 size mtime) /etc/pam.d/useradd
%config(noreplace) %verify(not md5 size mtime) %{_sysconfdir}/login.defs
%attr(600,root,root) %config(noreplace) %verify(not md5 size mtime) %ghost %{_sysconfdir}/shadow
%dir /etc/skel
%dir /etc/skel/tmp
%{?with_shared:%attr(755,root,root) %{_libdir}/lib*.so.*.*}
%attr(755,root,root) %{_sbindir}/chpasswd
%attr(755,root,root) %{_sbindir}/groupadd
%attr(755,root,root) %{_sbindir}/groupdel
%attr(755,root,root) %{_sbindir}/groupmod
%attr(755,root,root) %{_sbindir}/grpck
%attr(755,root,root) %{_sbindir}/grpconv
%attr(755,root,root) %{_sbindir}/grpunconv
%attr(755,root,root) %{_sbindir}/pwck
%attr(755,root,root) %{_sbindir}/pwconv
%attr(755,root,root) %{_sbindir}/pwunconv
%attr(755,root,root) %{_sbindir}/useradd
%attr(755,root,root) %{_sbindir}/userdel
%attr(755,root,root) %{_sbindir}/usermod
%attr(755,root,root) %{_sbindir}/vigr
%attr(755,root,root) %{_sbindir}/vipw
%attr(755,root,root) %{_bindir}/faillog
%attr(4755,root,root) %{_bindir}/passwd
%{_mandir}/man1/passwd.1*
%{_mandir}/man5/faillog.5*
%{_mandir}/man5/login.access.5*
%{_mandir}/man5/login.defs.5*
%{_mandir}/man5/passwd.5*
%{_mandir}/man5/shadow.5*
%{_mandir}/man5/suauth.5*
%{_mandir}/man8/faillog.8*
%{_mandir}/man8/groupadd.8*
%{_mandir}/man8/groupdel.8*
%{_mandir}/man8/groupmod.8*
%{_mandir}/man8/grpck.8*
%{_mandir}/man8/grpconv.8*
%{_mandir}/man8/grpunconv.8*
%{_mandir}/man8/pwck.8*
%{_mandir}/man8/pwconv.8*
%{_mandir}/man8/pwunconv.8*
%{_mandir}/man8/useradd.8*
%{_mandir}/man8/userdel.8*
%{_mandir}/man8/usermod.8*
%{_mandir}/man8/vigr.8*
%{_mandir}/man8/vipw.8*
%{_mandir}/man8/chpasswd.8*

%lang(cs) %{_mandir}/cs/man5/passwd.5*
%lang(cs) %{_mandir}/cs/man5/shadow.5*

%lang(de) %{_mandir}/de/man1/passwd.1*

%lang(es) %{_mandir}/es/man1/passwd.1*

%lang(fr) %{_mandir}/fr/man1/passwd.1*
%lang(fr) %{_mandir}/fr/man5/faillog.5*
%lang(fr) %{_mandir}/fr/man5/passwd.5*
%lang(fr) %{_mandir}/fr/man5/shadow.5*
%lang(fr) %{_mandir}/fr/man8/adduser.8*
%lang(fr) %{_mandir}/fr/man8/chpasswd.8*
%lang(fr) %{_mandir}/fr/man8/useradd.8*
%lang(fr) %{_mandir}/fr/man8/userdel.8*
%lang(fr) %{_mandir}/fr/man8/usermod.8*

%lang(hu) %{_mandir}/hu/man1/passwd.1*

%lang(id) %{_mandir}/id/man8/useradd.8*

%lang(it) %{_mandir}/it/man1/passwd.1*
%lang(it) %{_mandir}/it/man5/passwd.5*
%lang(it) %{_mandir}/it/man5/shadow.5*
%lang(it) %{_mandir}/it/man8/groupadd.8*
%lang(it) %{_mandir}/it/man8/groupdel.8*
%lang(it) %{_mandir}/it/man8/groupmod.8*
%lang(it) %{_mandir}/it/man8/grpck.8*
%lang(it) %{_mandir}/it/man8/grpconv.8*
%lang(it) %{_mandir}/it/man8/grpunconv.8*
%lang(it) %{_mandir}/it/man8/pwconv.8*
%lang(it) %{_mandir}/it/man8/pwunconv.8*
%lang(it) %{_mandir}/it/man8/useradd.8*
%lang(it) %{_mandir}/it/man8/userdel.8*
%lang(it) %{_mandir}/it/man8/usermod.8*
%lang(it) %{_mandir}/it/man8/vigr.8*
%lang(it) %{_mandir}/it/man8/vipw.8*

%lang(ja) %{_mandir}/ja/man1/passwd.1*
%lang(ja) %{_mandir}/ja/man5/faillog.5*
%lang(ja) %{_mandir}/ja/man5/login.access.5*
%lang(ja) %{_mandir}/ja/man5/login.defs.5*
%lang(ja) %{_mandir}/ja/man5/passwd.5*
%lang(ja) %{_mandir}/ja/man5/shadow.5*
%lang(ja) %{_mandir}/ja/man5/suauth.5*
%lang(ja) %{_mandir}/ja/man8/faillog.8*
%lang(ja) %{_mandir}/ja/man8/groupadd.8*
%lang(ja) %{_mandir}/ja/man8/groupdel.8*
%lang(ja) %{_mandir}/ja/man8/groupmod.8*
%lang(ja) %{_mandir}/ja/man8/grpck.8*
%lang(ja) %{_mandir}/ja/man8/grpconv.8*
%lang(ja) %{_mandir}/ja/man8/grpunconv.8*
%lang(ja) %{_mandir}/ja/man8/pwck.8*
%lang(ja) %{_mandir}/ja/man8/pwconv.8*
%lang(ja) %{_mandir}/ja/man8/pwunconv.8*
%lang(ja) %{_mandir}/ja/man8/useradd.8*
%lang(ja) %{_mandir}/ja/man8/userdel.8*
%lang(ja) %{_mandir}/ja/man8/usermod.8*
%lang(ja) %{_mandir}/ja/man8/vipw.8*
%lang(ja) %{_mandir}/ja/man8/vigr.8*

%lang(ko) %{_mandir}/ko/man5/passwd.5*

%lang(pl) %{_mandir}/pl/man1/passwd.1*
%lang(pl) %{_mandir}/pl/man5/faillog.5*
%lang(pl) %{_mandir}/pl/man5/login.access.5*
%lang(pl) %{_mandir}/pl/man5/login.defs.5*
%lang(pl) %{_mandir}/pl/man5/passwd.5*
%lang(pl) %{_mandir}/pl/man5/shadow.5*
%lang(pl) %{_mandir}/pl/man5/suauth.5*
%lang(pl) %{_mandir}/pl/man8/faillog.8*
%lang(pl) %{_mandir}/pl/man8/groupadd.8*
%lang(pl) %{_mandir}/pl/man8/groupdel.8*
%lang(pl) %{_mandir}/pl/man8/groupmod.8*
%lang(pl) %{_mandir}/pl/man8/grpck.8*
%lang(pl) %{_mandir}/pl/man8/grpconv.8*
%lang(pl) %{_mandir}/pl/man8/grpunconv.8*
%lang(pl) %{_mandir}/pl/man8/pwck.8*
%lang(pl) %{_mandir}/pl/man8/pwconv.8*
%lang(pl) %{_mandir}/pl/man8/pwunconv.8*
%lang(pl) %{_mandir}/pl/man8/useradd.8*
%lang(pl) %{_mandir}/pl/man8/userdel.8*
%lang(pl) %{_mandir}/pl/man8/usermod.8*
%lang(pl) %{_mandir}/pl/man8/vigr.8*
%lang(pl) %{_mandir}/pl/man8/vipw.8*

%lang(pt_BR) %{_mandir}/pt_BR/man5/shadow.5*
%lang(pt_BR) %{_mandir}/pt_BR/man8/groupadd.8*
%lang(pt_BR) %{_mandir}/pt_BR/man8/groupdel.8*
%lang(pt_BR) %{_mandir}/pt_BR/man8/groupmod.8*

%lang(ru) %{_mandir}/ru/man5/passwd.5*

%lang(zh_CN) %{_mandir}/zh_CN/man8/chpasswd.8*
%lang(zh_CN) %{_mandir}/zh_CN/man8/groupadd.8*
%lang(zh_CN) %{_mandir}/zh_CN/man8/groupdel.8*
%lang(zh_CN) %{_mandir}/zh_CN/man8/groupmod.8*
%lang(zh_CN) %{_mandir}/zh_CN/man8/useradd.8*
%lang(zh_CN) %{_mandir}/zh_CN/man8/userdel.8*
%lang(zh_CN) %{_mandir}/zh_CN/man8/usermod.8*

%lang(zh_TW) %{_mandir}/zh_TW/man8/groupadd.8*
%lang(zh_TW) %{_mandir}/zh_TW/man8/groupdel.8*
%lang(zh_TW) %{_mandir}/zh_TW/man8/groupmod.8*
%lang(zh_TW) %{_mandir}/zh_TW/man8/useradd.8*
%lang(zh_TW) %{_mandir}/zh_TW/man8/userdel.8*
%lang(zh_TW) %{_mandir}/zh_TW/man8/usermod.8*

%files extras
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 size mtime) /etc/pam.d/chfn
%attr(640,root,root) %config(noreplace) %verify(not md5 size mtime) /etc/pam.d/chsh
%attr(640,root,root) %config %verify(not md5 size mtime) /etc/security/*
%attr(755,root,root) %{_bindir}/chage
%attr(4755,root,root) %{_bindir}/chfn
%attr(4755,root,root) %{_bindir}/chsh
%attr(4755,root,root) %{_bindir}/expiry
%attr(4755,root,root) %{_bindir}/gpasswd
%attr(4755,root,root) %{_bindir}/newgrp
%attr(4755,root,root) %{_bindir}/sg
%attr(755,root,root) %{_sbindir}/mkpasswd
%attr(755,root,root) %{_sbindir}/newusers

%{_mandir}/man1/chage.1*
%{_mandir}/man1/chfn.1*
%{_mandir}/man1/chsh.1*
%{_mandir}/man1/expiry.1*
%{_mandir}/man1/gpasswd.1*
%{_mandir}/man1/newgrp.1*
%{_mandir}/man1/sg.1*
%{_mandir}/man8/mkpasswd.8*
%{_mandir}/man8/newusers.8*

%lang(de) %{_mandir}/de/man1/chfn.1*
%lang(de) %{_mandir}/de/man1/chsh.1*

%lang(fr) %{_mandir}/fr/man1/chage.1*
%lang(fr) %{_mandir}/fr/man1/chsh.1*
%lang(fr) %{_mandir}/fr/man1/gpasswd.1*
%lang(fr) %{_mandir}/fr/man1/newgrp.1*
%lang(fr) %{_mandir}/fr/man1/sg.1*

%lang(hu) %{_mandir}/hu/man1/chsh.1*
%lang(hu) %{_mandir}/hu/man1/gpasswd.1*
%lang(hu) %{_mandir}/hu/man1/newgrp.1*
%lang(hu) %{_mandir}/hu/man1/sg.1*

%lang(id) %{_mandir}/id/man1/chsh.1*

%lang(it) %{_mandir}/it/man1/chfn.1*
%lang(it) %{_mandir}/it/man1/chsh.1*
%lang(it) %{_mandir}/it/man1/gpasswd.1*
%lang(it) %{_mandir}/it/man1/newgrp.1*
%lang(it) %{_mandir}/it/man1/sg.1*

%lang(ja) %{_mandir}/ja/man1/chage.1*
%lang(ja) %{_mandir}/ja/man1/chfn.1*
%lang(ja) %{_mandir}/ja/man1/chsh.1*
%lang(ja) %{_mandir}/ja/man1/expiry.1*
%lang(ja) %{_mandir}/ja/man1/gpasswd.1*
%lang(ja) %{_mandir}/ja/man1/newgrp.1*
%lang(ja) %{_mandir}/ja/man1/sg.1*
%lang(ja) %{_mandir}/ja/man8/chpasswd.8*
%lang(ja) %{_mandir}/ja/man8/mkpasswd.8*
%lang(ja) %{_mandir}/ja/man8/newusers.8*

%lang(ko) %{_mandir}/ko/man1/chfn.1*
%lang(ko) %{_mandir}/ko/man1/chsh.1*
%lang(ko) %{_mandir}/ko/man1/newgrp.1*
%lang(ko) %{_mandir}/ko/man1/sg.1*

%lang(pl) %{_mandir}/pl/man1/chage.1*
%lang(pl) %{_mandir}/pl/man1/chfn.1*
%lang(pl) %{_mandir}/pl/man1/chsh.1*
%lang(pl) %{_mandir}/pl/man1/expiry.1*
%lang(pl) %{_mandir}/pl/man1/gpasswd.1*
%lang(pl) %{_mandir}/pl/man1/newgrp.1*
%lang(pl) %{_mandir}/pl/man1/sg.1*
%lang(pl) %{_mandir}/pl/man8/chpasswd.8*
%lang(pl) %{_mandir}/pl/man8/mkpasswd.8*
%lang(pl) %{_mandir}/pl/man8/newusers.8*

%lang(pt_BR) %{_mandir}/pt_BR/man1/gpasswd.1*

%lang(zh_CN) %{_mandir}/zh_CN/man1/chfn.1*
%lang(zh_CN) %{_mandir}/zh_CN/man1/chsh.1*

%lang(zh_TW) %{_mandir}/zh_TW/man1/chfn.1*
%lang(zh_TW) %{_mandir}/zh_TW/man1/chsh.1*

# unpackaged:
# - /bin/login already in login (from util-linux.spec)
#%attr(755,root,root) %{_bindir}/login
#%{_mandir}/man1/login.1*
#%{_mandir}/man5/porttime.5*
#%lang(hu) %{_mandir}/hu/man1/login.1*
#%lang(id) %{_mandir}/id/man1/login.1*
#%lang(it) %{_mandir}/it/man1/login.1*
#%lang(ja) %{_mandir}/ja/man1/login.1*
#%lang(ja) %{_mandir}/ja/man5/porttime.5*
#%lang(ko) %{_mandir}/ko/man1/login.1*
#%lang(pl) %{_mandir}/pl/man1/login.1*
#%lang(pl) %{_mandir}/pl/man5/porttime.5*

# - /bin/su already in coreutils
#%attr(4755,root,root) %{_bindir}/su
#%{_mandir}/man1/su.1*
#%lang(ja) %{_mandir}/ja/man1/su.1*
#%lang(pl) %{_mandir}/pl/man1/su.1*

# - unknown reason (removed w/o comment in rev 1.27)
#%attr(755,root,root) %{_sbindir}/logoutd
#%{_mandir}/man8/logoutd.8*
#%lang(ja) %{_mandir}/ja/man8/logoutd.8*
#%lang(pl) %{_mandir}/pl/man8/logoutd.8*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: shadow.spec,v $
Revision 1.100.4.3  2012/05/24 15:28:36  glen
- merge from pwdutils:
  Revision 1.100  2010/09/16 23:04:58  aredridel
  - newgrp and sg must be suid to work
- rel 6

Revision 1.100.4.2  2007/11/13 11:55:34  glen
- lastlog removed (in SysVinit now); rel 4

Revision 1.100.4.1  2006-12-06 18:10:39  baggins
- release 4
- fixed pam configs for chsh and chfn

Revision 1.100  2004/10/23 10:11:22  mmazur
- rel 3; using locale works now
- added a hack for it to work, since by default gettext's macros won't
  check for setlocale if am_gnu_gettext is called with argument [external]

Revision 1.99  2004/09/28 12:49:47  blues
- added /etc/skel/tmp

Revision 1.98  2004/05/04 19:36:06  qboosh
- pwdutils replaces shadow+shadow-extras, so base C: pwdutils, -extras O: pwdutils

Revision 1.97  2004/05/02 15:43:07  gotar
- obsoletes pwdutils, release 2

Revision 1.96  2004/02/29 10:48:18  qboosh
- release 1

Revision 1.95  2004/02/29 08:57:44  qboosh
- don't require self (as newgrp is in -extras again)

Revision 1.94  2004/02/29 08:56:49  qboosh
- updated md5

Revision 1.93  2004/02/29 08:50:58  qboosh
- typo in last commit message

Revision 1.92  2004/02/29 08:50:23  qboosh
- updated to 4.0.4.1, updated patches
- newgrp+sg is back, Conflicts: util-linux < 2.12-10

Revision 1.91  2004/01/25 20:27:14  maho
- added BR: libtool

Revision 1.90  2004/01/22 09:10:51  qboosh
- fix: newgrp was in shadow-extras, not shadow; release 7

Revision 1.89  2004/01/21 21:14:29  qboosh
- R: /usr/bin/newgrp to ensure its existence

Revision 1.88  2004/01/19 16:23:47  qboosh
- removed broken sg symlinks/manpages
- R: /usr/bin/groups (for proper coreutils version, to ensure that this command exists)
- release 6 (sg links must be added to util-linux before using this version)

Revision 1.87  2004/01/10 02:02:26  undefine
- remove don't existed sg -manualpage names, fix hungary manual location

Revision 1.86  2004/01/08 11:45:12  arekm
- move some utils back to coreutils/util-linux to make shadow more compatible with pwdutils

Revision 1.85  2004/01/04 03:10:49  arekm
- rel 5 (shadow), rel 2 (pwdutils)

Revision 1.84  2004/01/04 03:10:11  arekm
- mark /etc/shadow as config (if you don't want to lose your /etc/shadow when switching into pwdutils)

Revision 1.83  2003/12/27 22:57:54  qboosh
- fixed selinux patch (now applies)
- _without_static bcond renamed to bcond_with shared
- revised files, added some missing non-en manuals

Revision 1.82  2003/12/26 19:26:07  arekm
selinux enabled by default

Revision 1.81  2003/09/26 14:25:14  baggins
- release 3

Revision 1.80  2003/09/26 14:20:26  baggins
- req pam >= 0.77.3

Revision 1.79  2003/08/25 18:49:51  mmazur
- rel 2 for ac

Revision 1.78  2003/08/12 22:32:53  ankry
- cosmetics

Revision 1.77  2003/06/20 18:07:19  qboosh
- updated man_and_po patch,
  added removing of bogus CREATE_HOME description from login.defs(5) manual
- added pl.po-update patch
- added undoc-groupadd-f patch (document groupadd -f option)
- rewritten pld patch (more docs updates, now system uids/gids are configurable)

Revision 1.76  2003/05/28 06:13:57  michuz
- typo

Revision 1.75  2003/05/28 06:11:55  michuz
- updated to 4.0.3
- added bcond selinux support
- need more testing

Revision 1.74  2003/05/25 11:00:59  malekith
- massive attack, adding Source-md5

Revision 1.73  2003/05/25 06:26:41  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.72  2003/02/28 10:08:55  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.71  2003/01/29 11:57:37  blues
- added BR

Revision 1.70  2002/11/30 23:00:27  juandon
- new %%doc

Revision 1.69  2002/06/01 07:36:45  tiwek
- modify shadow-chage_expdays.patch
- release++

Revision 1.68  2002/05/31 16:57:09  tiwek
- added chage_expdays.patch (-E 12/31/69 must be -1 not 0)

Revision 1.67  2002/04/21 10:41:32  misiek
- MD5_CRYPT_ENAB yes (now chkpasswd used by installer will generate md5 passwords); rel 14

Revision 1.66  2002/04/06 14:55:05  undefine
- moved chpasswd.8 to main package(follow chpasswd)
- release 13

Revision 1.65  2002/02/23 04:41:58  kloczek
- adapterized.

Revision 1.64  2002/02/22 23:29:43  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.63  2002/02/22 23:03:18  ankry
- updated/fixed useradd man pages
- fixed useradd "usage" formatting
- remove non-working useradd -n option
- release 12

Revision 1.62  2002/01/18 02:14:54  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.61  2002/01/08 05:24:37  gotar
- removed touching %{_sysconfdir}/{porttime,utmp},
- touch replaced with >.

Revision 1.60  2002/01/02 12:11:04  kloczek
- release 11: added passwd to Obsoletes for allow upgrade from MDK.

Revision 1.59  2001/12/28 17:15:58  gotar
- changes in descriptions.

Revision 1.58  2001/12/20 17:12:31  gotar
- u+w for %{_sysconfdir}/shadow,
- release 10.

Revision 1.57  2001/12/07 21:12:45  mkochano
- /etc/pam.d/* marked with %%config(noreplace).
- Release++ (I'm too lazy to write here new release number for each
  spec. Sorry).

Revision 1.56  2001/11/16 15:00:55  malekith
- rel 8
- fixed SEGV on pwck -s with /etc/passwd with empty lines
- STBR

Revision 1.55  2001/11/12 08:45:36  ankry
- added more new man pages from 4.0.0 to rpm

Revision 1.54  2001/11/12 07:12:06  ankry
- added groups.1 man pages

Revision 1.53  2001/10/30 17:08:47  malekith
- rel 6
- moved chpasswd from -extras to main (required by installer)
- please stb and move to RPMS/ ASAP (installer fails on that)

Revision 1.52  2001/10/18 09:06:50  qboosh
- added "password required pam_make" to useradd.pamd - no more "authtok failed"
- fixed pld patch - useradd -r option is back
- release 5, STBR

Revision 1.51  2001/10/16 20:50:44  kloczek
- relesse 4.

Revision 1.50  2001/10/16 19:08:48  qboosh
- really removed porttime(5) man page
- removed /etc/{utmp,porttime} from -extras - not used
- added the rest of dialup stuff, moved all to -extras

Revision 1.49  2001/10/12 18:32:40  qboosh
- removed /etc/security dir from package - it's in our FHS and it's
  PAM-specific, not shadow-specific

Revision 1.48  2001/10/12 16:56:25  blues
- 751 for /etc/security

Revision 1.47  2001/10/12 15:13:17  blues
- relese 3 (bugfix)
- changed /etc/security to 755 (xserver crashes while starting)

Revision 1.46  2001/10/12 12:59:23  misiek
- added missing useradd.pamd (without this useradd won't work!)
- relase 2

Revision 1.45  2001/10/11 18:20:31  qboosh
- fixed -extras manuals

Revision 1.44  2001/10/11 03:42:45  kloczek
- moved chage, expiry, gpasswd, newgrp, sg to extras,
- spec adapterized and soem cosmetics in %descriotion,
- removed porttime(5) man page.

Revision 1.43  2001/10/09 19:01:39  qboosh
- added complete vipw+vigr, newgrp+sg
- (temporarily?) removed all su+login
- limits.5 commented out - /etc/limits is not used when PAM is enabled(?)

Revision 1.42  2001/10/08 16:58:25  qboosh
- removed all shadow(3) man pages (they are in glibc-devel now)

Revision 1.41  2001/10/07 15:04:06  blues
- some conflicts removed

Revision 1.40  2001/10/07 14:21:34  qboosh
- Epoch 1 to allow upgrade from 20001016

Revision 1.39  2001/10/07 00:27:22  blues
- added new package with some extra files
- some work in files section

Revision 1.38  2001/10/06 23:38:48  blues
- more fixes

Revision 1.37  2001/10/06 23:29:03  blues
- typo
- added stollen translations
- added missing libs and binaries

Revision 1.36  2001/10/06 22:14:02  ankry
- typos

Revision 1.35  2001/09/26 13:08:20  qboosh
- BuildRequires: libtool

Revision 1.34  2001/07/05 19:10:35  qboosh
- fixed pld patch (-M useradd option should be accepted and interpreted as NOP)
- release 4

Revision 1.33  2001/06/14 23:48:46  qboosh
- added default empty /etc/security/{chfn,chsh}.allow files
- release 3

Revision 1.32  2001/06/04 14:50:13  baggins
- libtoolize in %%build

Revision 1.31  2001/05/22 09:06:52  wiget
switch to new conditional builds macros (bcond_on_ -> _with_/bcond_off_ -> _without_); no release changes only simple s/// perfored

Revision 1.30  2001/04/06 22:56:33  qboosh
- added /etc/skel directory to package
- gettextize --copy --force - needed to build with new gettext(?)
- release 2

Revision 1.29  2001/01/26 18:19:14  misiek
regenerate auto* stuff

Revision 1.28  2000/12/28 15:22:12  baggins
- added conditional build with shared libshadow
  (define _without_static for it)

Revision 1.27  2000/11/06 20:07:30  kloczek
- updated to 20001016,
- added chfn, chsh, passwd to package (added Obsoletes: passwd),
- added suid root for expiry.

Revision 1.26  2000/10/03 21:49:58  kloczek
- removed "Requires: pam" - this is automatycaly generated by find-requires
  script,
- added using rpm new automation suit.

Revision 1.25  2000/10/03 12:45:53  baggins
- release 1
- updated pam-userdb patch to 20000902
- removed DESTDIR patch
- added manpl patch with remaining pl manpages

Revision 1.24  2000/09/04 09:16:37  wiget
- version changed to 20000902
- removed cvs patch
pld and utmpx patch applied clean but pam-userdb rejected. baggins please look.

Revision 1.23  2000/06/09 07:23:59  kloczek
- added using %%{__make} macro.

Revision 1.22  2000/04/01 11:15:40  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.21  2000/03/28 16:55:06  baggins
- translated kloczkish into english

Revision 1.20  2000/02/03 08:53:47  waszi
- another small changes (pam.d or init.d)

Revision 1.19  1999/11/16 19:12:44  pius
- fixed pam support

Revision 1.18  1999/10/15 02:45:37  kloczek
- release 2,
- added "Obsoletes: shadow-utils" and "Provides: shadow-utils".

Revision 1.17  1999/09/23 03:55:10  kloczek
- added DESTDIR style install (patch DESTDIR).

Revision 1.16  1999/09/23 00:18:07  wiget
- removed newgrp (is in util-linux)

Revision 1.15  1999/09/22 22:38:14  wiget
- removed unneeded BuildRequires

Revision 1.14  1999/09/22 22:35:31  wiget
- upgraded to 19990827
- added shadow-cvs.patch
-- added polish manuals
- updated Source0 URL
- removed version from shadow-*pld.patch
- added new executable (logoutd, newgrp, sg, expiry)
- updated list of manuals

Revision 1.13  1999/07/20 12:48:10  wiget
- switch to rpm 3.0.2

Revision 1.12  1999/07/12 23:06:14  kloczek
- added using CVS keywords in %changelog (for automating them).

